Bug 734306 - kickstart firstboot --disabled doesn't work
Summary: kickstart firstboot --disabled doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Gracik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 04:00 UTC by Matt Domsch
Modified: 2013-07-04 12:58 UTC (History)
7 users (show)

Fixed In Version: firstboot-16.4-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 01:42:38 UTC


Attachments (Terms of Use)

Description Matt Domsch 2011-08-30 04:00:27 UTC
Description of problem:
kickstart in F15 had the config parameter 'firstboot --disabled', which would prevent firstboot from running on subsequent boots.

However, this does not work on F16-Alpha.  The firstboot screen pops up (noted in text mode), then is covered up by plymouth, and plymouth hangs waiting for it to finish, which can never happen.

If instead in %post you put:
systemctl disable firstboot-graphical.service
systemctl disable firstboot-text.service

this works, and prevents firstboot from starting.

Version-Release number of selected component (if applicable):
Fedora 16 Alpha

How reproducible:
always

Steps to Reproduce:
1. use a F15 kickstart that included firstboot --disabled
  
Actual results:
firstboot still runs

Expected results:
firstboot doesn't run

Additional info:

Comment 1 Andrew McNabb 2011-08-30 19:03:51 UTC
I'm experiencing the same problem.  If I run "systemctl is-enabled" for either "firstboot-text.service" or "firstboot-graphical.service" it reports enabled where it should report disabled.  I also noticed that /etc/sysconfig/firstboot has "RUN_FIRSTBOOT=NO" but this is ignored.

Comment 2 Fedora Update System 2011-09-07 10:54:10 UTC
firstboot-16.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/firstboot-16.3-1.fc16

Comment 3 Fedora Update System 2011-09-08 02:26:24 UTC
Package firstboot-16.3-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firstboot-16.3-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/firstboot-16.3-1.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-19 20:23:56 UTC
firstboot-16.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/firstboot-16.4-1.fc16

Comment 5 Fedora Update System 2011-09-26 01:42:09 UTC
firstboot-16.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.